# Generated by Django 4.0.4 on 2022-07-31 05:26

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0023_donatesecretpreviewpage"),
    ]

    operations = [
        migrations.AddField(
            model_name="donateprojectpage",
            name="crowdfunding",
            field=wagtail.fields.StreamField(
                [
                    (
                        "reward_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="Název odměny"),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.CharBlock(
                                        label="Popis", max_length=255, required=False
                                    ),
                                ),
                                ("amount", wagtail.blocks.IntegerBlock(label="Částka")),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                                (
                                    "delivery_date",
                                    wagtail.blocks.DateBlock(
                                        label="Datum dodání", required=False
                                    ),
                                ),
                                (
                                    "reward_id",
                                    wagtail.blocks.IntegerBlock(
                                        label="ID odměny", required=True
                                    ),
                                ),
                                (
                                    "variant_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.CharBlock(
                                            help_text="Například velikost: S",
                                            label="Varianta",
                                            max_length=12,
                                        ),
                                        label="Varianty",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Crowdfunding bloky",
            ),
        ),
    ]
